Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[ GLSA 200609-01 ] Streamripper: Multiple remote buffer overflows
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index News & Announcements
View previous topic :: View next topic  
Author Message
GLSA
Veteran
Veteran


Joined: 12 May 2004
Posts: 1612

PostPosted: Wed Sep 06, 2006 4:26 pm    Post subject: [ GLSA 200609-01 ] Streamripper: Multiple remote buffer over Reply with quote

Gentoo Linux Security Advisory

Title: Streamripper: Multiple remote buffer overflows (GLSA 200609-01)
Severity: normal
Exploitable: remote
Date: September 06, 2006
Bug(s): #144861
ID: 200609-01

Synopsis


Streamripper is vulnerable to multiple remote buffer overflows, leading to
the execution of arbitrary code.


Background


Streamripper extracts and records individual MP3 file tracks from
SHOUTcast streams.


Affected Packages

Package: media-sound/streamripper
Vulnerable: < 1.61.26
Unaffected: >= 1.61.26
Architectures: All supported architectures


Description


Ulf Harnhammar, from the Debian Security Audit Project, has found that
Streamripper is vulnerable to multiple stack based buffer overflows
caused by improper bounds checking when processing malformed HTTP
headers.


Impact


By enticing a user to connect to a malicious server, an attacker could
execute arbitrary code with the permissions of the user running
Streamripper


Workaround


There is no known workaround at this time.


Resolution


All Streamripper users should upgrade to the latest version:
Code:
# emerge --sync
    # emerge --ask --oneshot --verbose ">=media-sound/streamripper-1.61.26"


References

CVE-2006-3124


Last edited by GLSA on Sun Feb 23, 2014 4:23 am; edited 4 times in total
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index News & Announcements All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum